Bug 609519 - [abrt] crash in evolution-data-server-2.30.2-2.fc13: memcpy: Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] crash in evolution-data-server-2.30.2-2.fc13: memcpy: Process /usr/lib...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:a6f408331c4f552f9c7436b64d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 09:37 EDT by Culapov Andrei
Modified: 2011-06-27 15:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.01 KB, text/plain)
2010-06-30 09:37 EDT, Culapov Andrei
no flags Details

  None (edit)
Description Culapov Andrei 2010-06-30 09:37:47 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/e-calendar-factory
component: evolution-data-server
crash_function: memcpy
executable: /usr/libexec/e-calendar-factory
global_uuid: a6f408331c4f552f9c7436b64d864070e613ba16
kernel: 2.6.33.5-124.fc13.x86_64
package: evolution-data-server-2.30.2-2.fc13
rating: 4
reason: Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
1. receive a exchange calendar invitation
2. accept it
3. crash

How to reproduce
-----
1. receive a exchange calendar invitation
2. accept it
3. crash
Comment 1 Culapov Andrei 2010-06-30 09:37:49 EDT
Created attachment 427998 [details]
File: backtrace
Comment 2 Peter Robinson 2010-07-05 03:57:11 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. accept calendar request with exchange mapi
2.
3.
Comment 3 Sullivan G. Scott, Jr. 2010-07-06 10:02:06 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Attempted to accept a meeting invition from an Exchange 2007 server.
2.
3.


Comment
-----
As soon as I pressed the accept button the calendar invite disappeared.
Comment 4 wim.desutter 2010-07-15 15:26:59 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open email
2.click accept
3.


Comment
-----
Accepting meeting request crashes evolution
Comment 5 Adam Carbone 2010-07-19 09:51:35 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Trying to accept a meeting request using the button in the preview pane.
Comment 6 Adam Carbone 2010-07-30 12:57:48 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Accepted an appointment in the preview pane.
2.
3.
Comment 7 Adam Carbone 2010-08-04 11:36:06 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Accepted an appointment in the preview pane.
2.
3.
Comment 8 Göran Uddeborg 2010-08-06 02:56:36 EDT
Package: evolution-data-server-2.30.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Find an existing meeting in Exchange calendar
2. Modify the date of the meeting

Comment
-----
I'm trying to use the evolution-mapi connection.  I seem to be able to send and receive mails, and I can find addresses in the global address list.  But I see only SOME of the calendar events, not all.  If I try to add a new one, I get an error message that it failed.  If I try to edit an existing one, it crashes as reported here.

In case it matters, this Fedora instance is running in a virtual machine on a RHEL5 host.

This problem could be related to the problem I reported in the RHEL 6 beta bug 610832.  I'm using the same Exchange server and the same account on it.  (And both systems are guests on the same RHEL 5 host.)  The crash happens already att connection time in bug 610832, but I wanted to mention it since there could be a common underlying issue.
Comment 9 Bug Zapper 2011-06-01 11:10:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 15:11:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.